Bug 456741 - Xorg locks up due to a bug in radeon driver
Xorg locks up due to a bug in radeon driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 19:10 EDT by Vladimir Kotal
Modified: 2009-02-03 09:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 16:04:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (40.31 KB, text/plain)
2008-07-25 19:16 EDT, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2008-07-25 19:10:53 EDT
Description of problem:
Some graphics applications (e.g. some screensavers) can make Xorg to livelock.

Version-Release number of selected component (if applicable):
xorg-x11-drv-vga-4.1.0-5.fc8.i386
xorg-x11-drv-tdfx-1.4.0-1.fc9.i386
xorg-x11-drv-microtouch-1.2.0-1.fc9.i386
xorg-x11-drv-apm-1.2.0-1.fc9.i386
xorg-x11-fonts-ISO8859-1-75dpi-7.2-6.fc9.noarch
xorg-x11-drv-cyrix-1.1.0-5.fc8.i386
xorg-x11-twm-1.0.3-2.fc9.i386
xorg-x11-drv-dynapro-1.1.2-1.fc9.i386
xorg-x11-drv-neomagic-1.2.0-1.fc9.i386
xorg-x11-drv-mutouch-1.2.0-1.fc9.i386
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.i386
xorg-x11-drv-geode-2.9.0-2.fc9.i386
xorg-x11-drv-i740-1.2.0-1.fc9.i386
xorg-x11-drv-avivo-0.0.1-7.fc9.i386
xorg-x11-server-utils-7.4-1.fc9.i386
xorg-x11-drv-glint-1.2.1-1.fc9.i386
xorg-x11-filesystem-7.3-1.fc9.noarch
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386
xorg-x11-drv-tek4957-1.2.0-1.fc9.i386
xorg-x11-server-Xorg-1.4.99.905-2.20080702.fc9.i386
xorg-x11-xkb-utils-7.2-4.fc9.i386
xorg-x11-drv-digitaledge-1.1.1-1.fc9.i386
xorg-x11-drv-aiptek-1.1.1-1.fc9.i386
xorg-x11-drv-ast-0.85.0-1.fc9.i386
xorg-x11-xfwp-1.0.1-6.fc9.i386

How reproducible:
let the screensaver run

Actual results:
Xorg process locks up, cannot be killed.

Expected results:
should run without problem

Additional info:

driver reports the following to the /var/log/messages (ad infinitum):

[drm:radeon_cp_idle] *ERROR* radeon_cp_idle called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_start] *ERROR* radeon_cp_start called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_idle] *ERROR* radeon_cp_idle called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_start] *ERROR* radeon_cp_start called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_idle] *ERROR* radeon_cp_idle called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_start] *ERROR* radeon_cp_start called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_idle] *ERROR* radeon_cp_idle called without lock held, held  0
owner f7341b80 f7341b80
[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held, held  0
owner f7341b80 f7341b80


Here's is the situation:


top - 00:58:54 up  4:05,  3 users,  load average: 1.97, 1.65, 1.01
Tasks: 138 total,   2 running, 136 sleeping,   0 stopped,   0 zombie
Cpu(s): 29.0%us,  4.7%sy,  0.2%ni, 64.4%id,  1.5%wa,  0.1%hi,  0.0%si,  0.0%st
Mem:   1555044k total,  1519760k used,    35284k free,     6700k buffers
Swap:  1048568k total,       96k used,  1048472k free,   789604k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 1895 root      20   0 34572 1528  820 S 63.1  0.1   3:19.33 rsyslogd           
 2573 root      20   0  366m  82m  13m R 33.5  5.5  14:02.18 Xorg               
    1 root      20   0  1948  740  536 S  0.0  0.0   0:00.86 init               
    2 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kthreadd           
    3 root      RT  -5     0    0    0 S  0.0  0.0   0:00.00 migration/0        
    4 root      15  -5     0    0    0 S  0.0  0.0   0:00.64 ksoftirqd/0        
    5 root      RT  -5     0    0    0 S  0.0  0.0   0:00.01 watchdog/0         
    6 root      15  -5     0    0    0 S  0.0  0.0   0:00.08 events/0           
    7 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 khelper            
   59 root      15  -5     0    0    0 S  0.0  0.0   0:00.28 kblockd/0          
   61 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kacpid             
   62 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kacpi_notify       
  141 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 cqueue             
  143 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 ksuspend_usbd      
  148 root      15  -5     0    0    0 S  0.0  0.0   0:00.02 khubd              
  151 root      15  -5     0    0    0 S  0.0  0.0   0:00.00 kseriod            
  191 root      20   0     0    0    0 S  0.0  0.0   0:00.00 pdflush            
[root@erazim]# ps axww| grep Xorg
 2573 tty7     Rs+   14:04 /usr/bin/Xorg :0 -br -verbose -auth
/var/run/gdm/auth-cookie-XXNG5GEU-for-gdm -nolisten tcp
 4860 pts/1    S+     0:00 grep Xorg
[root@erazim]# pstack 2573
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0090cc19 in ioctl () from /lib/libc.so.6
#2  0x001e8bf2 in drmCommandNone () from /usr/lib/libdrm.so.2
#3  0x002197e8 in RADEONWaitForIdleCP ()
#4  0x002e76a5 in ?? () from /usr/lib/xorg/modules//libxaa.so
#5  0x080cf9fa in ?? ()
#6  0x001b5679 in ?? () from /usr/lib/xorg/modules/extensions//libglx.so
#7  0x080a1e19 in AbortDDX ()
#8  0x081359e8 in AbortServer ()
#9  0x08135ff3 in FatalError ()
#10 0x080bc1f9 in xf86SigHandler ()
#11 <signal handler called>
#12 0x0806bfa7 in dixLookupPrivate ()
#13 0x001ded23 in DRIWakeupHandler ()
#14 0x08089b75 in WakeupHandler ()
#15 0x08127b73 in WaitForSomething ()
#16 0x08085b1e in Dispatch ()
#17 0x0806b67d in main ()
[root@erazim]#
Comment 1 Vladimir Kotal 2008-07-25 19:16:58 EDT
Created attachment 312695 [details]
Xorg log

Xorg.0.log from normal running system.
Comment 2 François Cami 2008-07-27 09:22:46 EDT
I see the same problem with various 3D apps on up to date Fedora 9 x86_64, X2
BE-2400, Uli M1697, FireGL V7100 (X800XT). This is sometimes difficult to
reproduce, as some crashes happened a few minutes after startup, but others took
quite a few hours to happen. 
Comment 3 François Cami 2009-02-02 13:20:08 EST
By the same problem I meant Xorg lock up +
"[drm:radeon_cp_reset] *ERROR* radeon_cp_reset called without lock held"
in /var/log/messages.

I cannot reproduce with Fedora 10.

Vladimir, can you test F10 and report ? Thanks.
Comment 4 Vladimir Kotal 2009-02-02 15:35:57 EST
Unfortunately, although I still have the card but not the motherboard so I cannot test.
Comment 5 François Cami 2009-02-02 16:04:11 EST
Thanks Vladimir. Closing as INSUFFICIENT_DATA.
Comment 6 Matěj Cepl 2009-02-03 09:01:55 EST
Just for your entertainment and education, let me put here full CLOSED/INSUFFICIENT_DATA blurb here:

Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.